### Constructor

# Gtk.SelectionFilterModel.new

#### Declaration [src]

    GtkSelectionFilterModel*
    gtk_selection_filter_model_new (
      GtkSelectionModel* model
    )

#### Description [src]

Creates a new `GtkSelectionFilterModel` that will include the selected items from the underlying selection model.

#### Parameters

`model` | `GtkSelectionModel`
| the selection model to filter, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkSelectionFilterModel`
a new `GtkSelectionFilterModel`
Ownership of the data is transferred to the caller